EnumValues
Date: 2016-12-04

com.fasterxml.jackson.databind.util

## Class EnumValues

- java.lang.Object
- - com.fasterxml.jackson.databind.util.EnumValues

- All Implemented Interfaces:
    java.io.Serializable

      public final class EnumValues
      extends java.lang.Object
      implements java.io.Serializable

  Helper class used for storing String serializations of enumerations.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumValues` | `construct(SerializationConfig config, java.lang.Class<java.lang.Enum<?>> enumClass)` NOTE: do NOT call this if configuration may change, and choice between toString() and name() might change dynamically.
    `static EnumValues` | `constructFromName(MapperConfig<?> config, java.lang.Class<java.lang.Enum<?>> enumClass)`
    `static EnumValues` | `constructFromToString(MapperConfig<?> config, java.lang.Class<java.lang.Enum<?>> enumClass)`
    `java.util.List<java.lang.Enum<?>>` | `enums()` Convenience accessor for getting raw Enum instances.
    `java.lang.Class<java.lang.Enum<?>>` | `getEnumClass()`
    `java.util.EnumMap<?,com.fasterxml.jackson.core.SerializableString>` | `internalMap()` Method used for serialization and introspection by core Jackson code.
    `com.fasterxml.jackson.core.SerializableString` | `serializedValueFor(java.lang.Enum<?> key)`
    `java.util.Collection<com.fasterxml.jackson.core.SerializableString>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### construct

          public static EnumValues construct(SerializationConfig config,
                             java.lang.Class<java.lang.Enum<?>> enumClass)

      NOTE: do NOT call this if configuration may change, and choice between toString() and name() might change dynamically.

    - #### constructFromName

          public static EnumValues constructFromName(MapperConfig<?> config,
                                     java.lang.Class<java.lang.Enum<?>> enumClass)

    - #### constructFromToString

          public static EnumValues constructFromToString(MapperConfig<?> config,
                                         java.lang.Class<java.lang.Enum<?>> enumClass)

    - #### serializedValueFor

          public com.fasterxml.jackson.core.SerializableString serializedValueFor(java.lang.Enum<?> key)

    - #### values

          public java.util.Collection<com.fasterxml.jackson.core.SerializableString> values()

    - #### enums

          public java.util.List<java.lang.Enum<?>> enums()

      Convenience accessor for getting raw Enum instances.
      Since:
        2.6

    - #### internalMap

          public java.util.EnumMap<?,com.fasterxml.jackson.core.SerializableString> internalMap()

      Method used for serialization and introspection by core Jackson code.

    - #### getEnumClass

          public java.lang.Class<java.lang.Enum<?>> getEnumClass()

      Since:
        2.2